summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Hill <dirtyepic@gentoo.org>2009-07-01 07:16:25 +0000
committerRyan Hill <dirtyepic@gentoo.org>2009-07-01 07:16:25 +0000
commit67fa664c6b9bfaec85cbf3afca3e425f5e5eef64 (patch)
tree4dc9bb86a82dafa46954cefeec9de0f9c57160b7 /app-admin/eselect-wxwidgets/files
parentFix installing of example channels.conf files. (diff)
downloadgentoo-2-67fa664c6b9bfaec85cbf3afca3e425f5e5eef64.tar.gz
gentoo-2-67fa664c6b9bfaec85cbf3afca3e425f5e5eef64.tar.bz2
gentoo-2-67fa664c6b9bfaec85cbf3afca3e425f5e5eef64.zip
Version bump. Debashify wx-config and wxrc wrappers for compatibility with
cmake (bug #274675). (Portage version: 2.2_rc33/cvs/Linux x86_64)
Diffstat (limited to 'app-admin/eselect-wxwidgets/files')
-rwxr-xr-xapp-admin/eselect-wxwidgets/files/wx-config-135
-rwxr-xr-xapp-admin/eselect-wxwidgets/files/wxrc-135
2 files changed, 70 insertions, 0 deletions
diff --git a/app-admin/eselect-wxwidgets/files/wx-config-1 b/app-admin/eselect-wxwidgets/files/wx-config-1
new file mode 100755
index 000000000000..559434bc2c77
--- /dev/null
+++ b/app-admin/eselect-wxwidgets/files/wx-config-1
@@ -0,0 +1,35 @@
+#!/bin/sh -
+#
+# /usr/bin/wx-config
+#
+# a lame wx-config wrapper (bugs to wxwidgets@gentoo.org)
+
+_wxerror() {
+ echo "An error occurred while calling wx-config:"
+ echo
+ echo " ${1}"
+ echo
+ echo "Please use \`eselect wxwidgets\` to select an available profile and try again."
+ exit 1
+}
+
+if [ -n "${WX_ECLASS_CONFIG}" ]; then
+ ${WX_ECLASS_CONFIG} "$@"
+ exit 0
+else
+ if [ -e /var/lib/wxwidgets/current ]; then
+ source /var/lib/wxwidgets/current
+ else
+ _wxerror "Cannot find the wxWidgets profile configuration ( /var/lib/wxwidgets/current )"
+ fi
+
+ [ -z "${WXCONFIG}" -o "${WXCONFIG}" == none ] && _wxerror "No profile currently selected"
+
+ if [ -x /usr/lib/wx/config/${WXCONFIG} ]; then
+ /usr/lib/wx/config/${WXCONFIG} "$@"
+ else
+ _wxerror "Cannot find wxWidgets profile ( ${WXCONFIG} )"
+ fi
+ exit 0
+fi
+
diff --git a/app-admin/eselect-wxwidgets/files/wxrc-1 b/app-admin/eselect-wxwidgets/files/wxrc-1
new file mode 100755
index 000000000000..cf755dad178e
--- /dev/null
+++ b/app-admin/eselect-wxwidgets/files/wxrc-1
@@ -0,0 +1,35 @@
+#!/bin/sh -
+#
+# /usr/bin/wxrc
+#
+# a lame wxrc wrapper (bugs to wxwidgets@gentoo.org)
+
+_wxerror() {
+ echo "An error occurred while calling wxrc:"
+ echo
+ echo " ${1}"
+ echo
+ echo "Please use \`eselect wxwidgets\` to select an available profile and try again."
+ exit 1
+}
+
+if [ -n "${WX_ECLASS_CONFIG}" ]; then
+ $(${WX_ECLASS_CONFIG} --utility=wxrc) "$@"
+ exit 0
+else
+ if [ -e /var/lib/wxwidgets/current ]; then
+ source /var/lib/wxwidgets/current
+ else
+ _wxerror "Cannot find the wxWidgets profile configuration ( /var/lib/wxwidgets/current )"
+ fi
+
+ [ -z "${WXCONFIG}" -o "${WXCONFIG}" == none ] && _wxerror "No profile currently selected"
+
+ if [ -x /usr/lib/wx/config/${WXCONFIG} ]; then
+ $(/usr/lib/wx/config/${WXCONFIG} --utility=wxrc) "$@"
+ else
+ _wxerror "Cannot find wxWidgets profile ( ${WXCONFIG} )"
+ fi
+ exit 0
+fi
+